



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>canvas基础语法</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">canvas基础语法</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-02 09:55:44 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>前面的话</h2>
<p>　　canvas顾名思义是定义在浏览器中的画布。它不仅是一个普通的元素，更是一个强大的编程工具。它的出现已然超过了web基于文档的设计初衷，将网页这一形态的应用推向了另一个高度。利用canvas，可以开发出复杂的动画、动态图表、游戏等。关于canvas，有这样一句话&mdash;&mdash;canvas就像是一场文艺复兴，将编程工作者彻底释放出创造力。本文将详细介绍canvas基础知识</p>
<h3>添加canvas</h3>
<p>　　在HTML中添加Canvas非常简单，只需要在HTML的<code>&lt;body&gt;</code>部分，添加上<code>&lt;canvas&gt;</code>标签就可以了</p>
<div>
<pre class="prettyprint linenums">&lt;canvas&gt;<br />
    &lt;p&gt;The canvas element is not supported!&lt;/p&gt;<br />
&lt;/canvas&gt;</pre>
</div>
<p>　　现在，页面是一个完完全全的空白页面。Canvas的本意是画布，画布在HTML5中是透明的，是不可见的</p>
<p>【HTML属性】</p>
<p>　　在网页上使用canvas元素时，它会创建一块矩形区域。默认情况下，canvas的宽为300px，高为150px</p>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823064035621-61455787.png" /></div>
<p>　　canvas支持HTML属性高度height和宽度width，可以在开始和结束标签之间加入HTML来提供后备内容</p>
<div>
<pre class="prettyprint linenums">height    高度<br />
width     宽度</pre>
</div>
<div>
<pre class="prettyprint linenums">&lt;canvas width="600" height="300"&gt;<br />
    &lt;p&gt;The canvas element is not supported!&lt;/p&gt;<br />
&lt;/canvas&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823064435871-1861796175.png" /></div>
<p>　　[注意]重置canvas的宽或高可以达到清空画布的效果</p>
<p>【CSS样式】</p>
<p>　　同大多数HTML元素一样，canvas元素也可以通过应用CSS的样式来增加边框，设置内外边距等。而且一些CSS属性还可以被canvas内的元素继承。比如字体样式，在canvas内添加的文字，默认同canvas元素本身是一样的。此外，在canvas中为绘图上下文设置属性同样要遵循CSS语法</p>
<div><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/740839/201512/740839-20151219104600365-888249516.gif" /></div>
<p>　　[注意]通过CSS样式设置的宽高，是canvas元素的实际占据宽高；通过属性值设置的宽度，是canvas内部编程的设置宽高；如果没有通过CSS样式设置宽度，则canvas元素实际占据宽高等于内容编程设置宽度</p>
<p>　　如果按照如下进行设置，则canvas的最终宽高为400*100，相当于内部元素宽度缩小2.5倍，高度缩小2倍</p>
<div>
<pre class="prettyprint linenums">    canvas.width = 1000;<br />
    canvas.height = 200;<br />
    canvas.style.width = '400px';<br />
    canvas.style.height = '100px'; </pre>
</div>
<p>　　如果按照如下进行设置，则canvas的最终宽高为400*40，相当于内部元素宽度和高度等比例缩小2.5倍</p>
<div>
<pre class="prettyprint linenums">    canvas.width = 1000;<br />
    canvas.height = 200;<br />
    canvas.style.width = '400px';  </pre>
</div>
<p>　</p>
<h3>绘图上下文</h3>
<p>　　要在canvas上绘图，需要以下三个步骤</p>
<p>　　1、布置画布：通过添加<code>&lt;canvas&gt;</code>标签，添加canvas元素</p>
<p>　　2、获取画布：通过<code>&lt;canvas&gt;</code>标签的id，获得canvas对象</p>
<p>　　3、取得绘图上下文：通过canvas对象的<code>getContext("2d")</code>方法，获得2D环境；如果要获取三维上下文，使用"webgl"</p>
<p>　　上面的三个步骤对应如下代码</p>
<div>
<pre class="prettyprint linenums">&lt;canvas id=&ldquo;canvas&rdquo;&gt;&lt;/canvas&gt;<br />
var canvas = document.getElementById("canvas");<br />
var context = canvas.getContext("2d")</pre>
</div>
<p>【canvas坐标】</p>
<p>　　使用2D上下文提供的方法可以绘制简单的2D图形，比如矩形、弧线和路径。2D上下文坐标开始于canvas元素的左上角，原点坐标是(0,0)。所有坐标值都基于这个原点计算，x值越大表示越靠右，y值越大表示越靠下。默认情况下，width和height表示水平和垂直两个方向上可用的像素数目</p>
<div><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/740839/201512/740839-20151219104712006-1891188943.jpg" /></div>
<h3>填充和描边</h3>
<p>　　2D上下文的两种基本绘图操作是填充和描边</p>
<p>　　填充是指用指定的样式(颜色、渐变和图像)填充图形；描边是只在图形的边缘画线</p>
<p>　　大多数2D上下文操作都会细分为填充和描边两个操作，而操作的结果取决于两个属性:fillStyle和strokeStyle。这两个属性的值可以是字符串表示的颜色、渐变对象或模式对象，它们的默认值都是#000</p>
<div>
<pre class="prettyprint linenums">var context = drawing.getContext('2d');<br />
context.strokeStyle="red";<br />
context.fillStyle="#00f";</pre>
</div>
<p>　　关于渐变和模式对象，稍后介绍</p>
<h3>绘制矩形</h3>
<p>　　下面先从最简单的矩形绘制开始说起，矩形是唯一一种可以直接在2D上下文中绘制的形状，与矩形相关的方法包括fillRect()、strokeRect()、clearRect()。这三个方法都能接收4个参数：矩形的x坐标、矩形的y坐标、矩形宽度和矩形高度。这些参数的单位都是像素</p>
<div>
<pre class="prettyprint linenums">fillRect(x,y,w,h):画布上绘制的矩形会填充通过fillStyle属性指定的颜色<br />
strokeRect(x,y,w,h):画布上绘制的矩形会使用通过strokeStyle属性指定描边颜色<br />
clearRect(x,y,w,h):用于清除画布上的矩形区域。本质上这个方法可以把绘制上下文中的某一矩形区域变透明。通过绘制形状然后再清除指定区域，就可以生成有意思的效果</pre>
</div>
<p>　　下面来绘制一个背景颜色为红色，尺寸为100*100，位置为(0,0)点的矩形</p>
<div>
<pre class="prettyprint linenums">&lt;canvas id="drawing" style="border:1px solid black"&gt;<br />
    &lt;p&gt;The canvas element is not supported!&lt;/p&gt;<br />
&lt;/canvas&gt;<br />
&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
//确定浏览器支持&lt;canvas&gt;元素<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
    context.fillRect(0,0,100,100);<br />
    context.fillStyle = 'red';<br />
}<br />
&lt;/script&gt;</pre>
</div>
<p>　　结果如下，背景颜色为黑色。这是因为，使用fillRect()方法时，会使用当前的fillStyle值。由于当前还没有设置，所以会使用默认的黑色值</p>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823071338933-309874108.png" /></div>
<p>　　进行如下修改后，结果符合预期</p>
<div>
<pre class="prettyprint linenums">&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
　　 context.fillStyle = 'red';<br />
　　 context.fillRect(0,0,100,100);<br />}<br />
&lt;/script&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823071421933-661456172.png" /></div>
<p>　　下面来绘制一个半透明的蓝色描边矩形，尺寸为100*100，位置在(0,0)点</p>
<div>
<pre class="prettyprint linenums">&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
　　 context.strokeStyle = 'rgba(0,0,255,0.5)';<br />
　　 context.strokeRect(0,0,100,100);<br />}<br />
&lt;/script&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823071715089-1407974948.png" /></div>
<p>　　接下来，在(0,0)点绘制尺寸为100*100背景为半透明红色的矩形， 1s后在(50,50)点绘制尺寸为100*100，描边为半透明蓝色的矩形，1s后使用clearRect()清除矩形</p>
<div>
<pre class="prettyprint linenums">&lt;canvas id="drawing" style="border:1px solid black"&gt;<br />
    &lt;p&gt;The canvas element is not supported!&lt;/p&gt;<br />
&lt;/canvas&gt;<br />
&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
    context.fillStyle = 'rgba(255,0,0,0.5)';<br />
    context.fillRect(0,0,100,100);<br />
    setTimeout(function(){<br />
      context.strokeStyle = 'rgba(0,0,255,0.5)';<br />
      context.strokeRect(50,50,100,100);<br />
    },1000);<br />
    setTimeout(function(){<br />
      context.clearRect(0,0,300,150);<br />
    },2000);<br />
}<br />
&lt;/script&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823072717636-331877874.gif" /></div>
<h3>绘制文本</h3>
<p>　　绘制文本主要有两个方法：fillText()和strokeText()，fillText()方法使用fillStyle属性绘制文本，strokeText()方法使用strokeStyle属性为文本描边</p>
<p>　　这两个方法都可以接收4个参数：要绘制的文本字符串、x坐标、y坐标和可选的最大像素宽度</p>
<p>　　若传入的字符串大于最大宽度时，则绘制的文本字符的高度正确，而宽度会收缩以适应最大宽度。而且这两个方法都以下列3个属性为基础：font、textAlign、textBaseline</p>
<div>
<pre class="prettyprint linenums">font(与font集合样式写法相同)<br />
textAlign(start\end\center)不建议使用left\right，默认为start<br />
textBaseline(top\hanging\middle\alphabetic\ideographic\bottom)，默认为alphabetic</pre>
</div>
<p>【measureText()】</p>
<p>　　由于绘制文本比较复杂，特别是需要把文本控制在某一区域的时候，因此提供了辅助确定文本大小的方法measureText()方法。该方法接收一个参数，即要绘制的文本，返回一个TextMetrics对象，该对象只有一个width属性。measureText()方法利用font、textAlign、textBaseline的当前值计算指定文本的大小</p>
<p>　　假设想在一个100px宽的矩形区域中绘制文本"小火柴"，下面代码从50px字体大小开始递减，最终会找到合适的字体大小</p>
<div>
<pre class="prettyprint linenums">&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
    var fontSize = 50;<br />
    context.font= fontSize + 'px arial';<br />
    while(context.measureText('小火柴').width &gt; 100){<br />
        fontSize--;<br />
        context.font= fontSize + 'px arial';<br />
    }<br />
    context.fillText('小火柴',10,30);<br />
    context.fillText('字体大小是' + fontSize + 'px' ,10,80);<br />
}<br />
&lt;/script&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823091135605-1660346385.png" /></div>
<h3>描边线条</h3>
<p>　　关于描边线条有4个常用属性分别是lineWidth、lineCap、lineJoin和miterLimit</p>
<div>
<pre class="prettyprint linenums">lineWidth：描边线条宽度(默认为1)<br />
lineCap：描边线条末端形状是平头、圆头还是方头(butt、round、square)(默认为butt)<br />
lineJoin：描边线条相交方式是圆交、斜交还是斜接(round、bevel、miter)(默认为miter)<br />
miterLimit：描边线条的最大斜接长度</pre>
</div>
<p>　　斜接长度是指两条交汇处内角和外角之间的距离，边角的角度越小，斜接长度就越大，为了避免斜接长度过长，可以使得miterLimit属性，如果斜接长度超过miterLimit的值，边角会以lineJoin的"bevel"类型来显示</p>
<p>　　[注意]只有当lineJoin属性为"miter"时，miterLimit才有效</p>
<div><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/740839/201512/740839-20151220212034804-1781453052.jpg" /></div>
<div><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/740839/201512/740839-20151219131455412-91679152.jpg" /></div>
<h3>渐变</h3>
<p>　　填充和描边除了可以取颜色值之外，还可以取渐变值，渐变由canvasGradient实例表示</p>
<p>【创建渐变】</p>
<p>　　渐变分为线性渐变和径向渐变</p>
<p>　　调用createLinearGradient()方法创建线性渐变，这个方法接收4个参数：起点的x坐标、y坐标，终点的x坐标、y坐标</p>
<p>　　调用createRadialGradient()方法创建径向渐变，这个方法接收6个参数，对应两个圆的圆心和半径。前三个参数指定起点圆的圆心(x和y)及半径。后三个参数指定终点圆的圆心(x和y)及半径。可以把径向渐变想象成一个长圆桶，而这6个参数定义的正是这个桶的两个圆形开口的位置</p>
<p>　　[注意]如果想从某个形状的中心点开始创建一个向外扩散的径向渐变效果，要将两个圆定义为同心圆</p>
<p>【指定色标】</p>
<p>　　接下来使用addColorStop()方法来指定色标。这个方法接收两个参数：色标位置和CSS颜色值。色标位置是一个0(开始的颜色)到1(结束的颜色)之间的数字</p>
<p>　　最后将渐变对象实例赋值给fillStyle或strokeStyle，进而可以绘制图形</p>
<p>　　下面来创建一个垂直方向的从品红到浅蓝色的线性渐变</p>
<div>
<pre class="prettyprint linenums">&lt;canvas id="drawing" style="border:1px solid black"&gt;<br />
    &lt;p&gt;The canvas element is not supported!&lt;/p&gt;<br />
&lt;/canvas&gt;<br />
&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
    var linearGradient = context.createLinearGradient(0,0,0,100);<br />
    linearGradient.addColorStop(0,'pink');<br />
    linearGradient.addColorStop(1,'lightblue');<br />
    context.strokeStyle = linearGradient;<br />
    context.fillStyle = linearGradient;<br />
    context.fillRect(10,10,100,100);<br />
    context.strokeRect(120,10,100,100);<br />
    context.font="20px/50px 宋体";<br />
    context.textAlign = 'end';<br />
    context.textBaseline = 'top';<br />
    context.strokeText("小火柴",290,10);<br />
}<br />
&lt;/script&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823091656761-1590664579.png" /></div>
<p>　　下面来创建一个从品红到浅蓝色的径性渐变</p>
<div>
<pre class="prettyprint linenums">&lt;canvas id="drawing" style="border:1px solid black"&gt;<br />
    &lt;p&gt;The canvas element is not supported!&lt;/p&gt;<br />
&lt;/canvas&gt;<br />
&lt;script&gt;<br />
var drawing = document.getElementById('drawing');<br />
if(drawing.getContext){<br />
    var context = drawing.getContext('2d');<br />
    var radialGradient = context.createRadialGradient(50,50,0,50,50,50);<br />
    radialGradient.addColorStop(0,'pink');<br />
    radialGradient.addColorStop(1,'lightblue');<br />
    context.fillStyle = radialGradient;<br />
    context.fillRect(0,0,100,100);<br />
}<br />
&lt;/script&gt;</pre>
</div>
<div><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/740839/201708/740839-20170823083318886-682097985.png" /></div>
<h3>绘制路径</h3>
<p>　　绘制路径包括开始绘制、实际绘制和结束绘制三个步骤</p>
<p>【开始绘制】</p>
<p>　　要绘制路径，首先必须调用beginPath()方法，表示要开始绘制新路径</p>
<p>　　[注意]beginPath()之后的strokeStyle或fillStyle用于当前路径</p>
<p>【实际绘制】</p>
<p>　　实际绘制路径时可以使用以下方法：</p>
<p>　　1、moveTo(x,y)：将绘图游标移动到(x,y)，不画线。如果其他方法需要使用上一点的坐标，一定要先使用moveTo(x,y)确定坐标</p>
<div>
<pre class="prettyprint linenums">context.moveTo(100,100)</pre>
</div>
<p>　　表示移动画笔至(100,100)这个点（单位是px）</p>
<p>　　2、lineTo(x,y)：从上一点开始绘制一条直线，到(x,y)为止</p>
<div>
<pre class="prettyprint linenums">context.lineTo(600,600)</pre>
</div>
<p>　　表示从上一笔的停止点绘制到(600,600)</p>
<p>　　3、arcTo(x1,y1,x2,y2,radius)：从上一点开始绘制一条弧线到(x2,y2)为止，并以给定半径radius穿过(x1,y1)</p>
<div>
<pre class="prettyprint linenums">context.arcTo(30,80,100,100,60);</pre>
</div>
<p>　　表示从上一点开始绘制一条弧线到(100,100)为止，该弧线穿过(30,80)，且半径为60</p>
<p>　　4、arc(x,y,radius,startAngle,endAngle,counterclockwise)：以(x,y)为圆心绘制一条弧线，弧线半径为radius，起始和结束角度(用弧度表示)分别为startAngle和endAngle。最后一个参数表示startAngle和endAngle是否按逆时针方向计算。默认值为false表示按顺时针方向计算</p>
<div><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/740839/201702/740839-20170205130453308-1088154517.png" /></div>
<div>
<pre class="prettyprint linenums">context.arc(50,50,40,0,2*Math.PI,false);</pre>
</div>
<p>　　表示以(50,50)为圆心绘制一条弧线，半径为40，起始和结束角度分别为0和2PI，按顺时针方向计算</p>
<p>　　5、bezierCurveTo(c1x,c1y,c2x,c2y,x,y)：从上一点开始绘制一条曲线，到(x,y)为止，并且以(c1x,c1y)和(c2x,c2y)为控制点</p>
<div>
<pre class="prettyprint linenums">context.bezierCurveTo(0,50,100,50,100,0);</pre>
</div>
<p>　　表示从上一点开始绘制一条曲线，到(100,0)为止，并且以(0,50)和(100,50)为控制点</p>
<p>　　6、quadraticCurveTo(cx,cy,x,y)：从上一点开始绘制一条二次曲线，到(x,y)为止，并且以(cx,cy)为控制点</p>
<div>
<pre class="prettyprint linenums">context.quadraticCurveTo(50,50,0,100);</pre>
</div>
<p>　　表示从上一点开始绘制一条二次曲线，到(0,100)为止，并且以(50,50)为控制点</p>
<p>　　7、rect(x,y,width,height)：从点(x,y)开始绘制一个矩形，宽度和高度分别由width和height指定。这个方法绘制的是矩形路径，而不是strokeRect()和fillRect()所绘制的独立的形状</p>
<div>
<pre class="prettyprint linenums">context.rect(20,20,50,50);</pre>
</div>
<p>　　表示从(20,20)开始绘制一个矩形，宽高分别是50和50</p>
<p><strong>【结束绘制】</strong></p>
<p>　　创建路径后有以下4种选择</p>
<p>　　1、用fillStyle填充，调用fill()方法</p>
<p>　　2、用strokeStyle描边，调用stroke()方法</p>
<p>　　[注意]如果fill()和stroke()同时使用，应该先使用fill()，后使用stroke()。否则，fill()会覆盖stroke()的部分线条宽度</p>
<p>　　3、在路径上创建一个剪切区域，调用clip()方法</p>
<p>　　[注意]canvas中的clip()方法用于从原始画布中剪切任意形状和尺寸。一旦剪切了某个区域，则所有之后的绘图都会被限制在被剪切区域内(不能访问画布上的其他区域)。也可以在使用clip()方法前通过使用save()方法对当前画布区域进行保存，并在以后任意时间通过restore()方法对其进行恢复。可以使用clip()实现类似于<a href="http://www.cnblogs.com/xiaohuochai/p/6370952.html" rel="external nofollow noreferrer">探照灯效果</a></p>
<p>　　4、绘制一条连接到路径起点的线条，调用closePath()方法</p>
<p>　　在2D绘图上下文中，路径是一种主要的绘图方式，因为路径能为要绘制的图形提供更多控制。由于路径的使用很频繁，所以有一个isPointInPath()方法，接收x和y坐标作为参数，用于在路径被关闭之前确定画布上的某一点是否位于路径上</p>
<div>
<pre class="prettyprint linenums">if(context.isPointInPath(100,100)){<br />
    console.log('this point is in the path');<br />
}</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdeg0z9.html">解读ASP&period;NET 5 &amp;amp&semi; MVC6系列（16）：自定义View视图文件查找逻辑</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r4rzd8.html">linux 下如何 makefile</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gvrrl9.html">学习笔记之 prim算法和kruskal算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93053r9.html">MQ基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1plp69.html">从源码安装pip</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv25pyq.html">Mozilla Brick：一个Web组件Polyfill库</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn147728.html">JSP九大内置对象分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnxvpoq.html">点击穿透问题（http&colon;&sol;&sol;www&period;tuicool&period;com&sol;articles&sol;6NfaUnM）</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xkxor9.html">forward  &amp;amp&semi;&amp;amp&semi; redirect 区别介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m4v6gq.html">Hopcroft-Karp算法模版</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zoo13nq.html">STM32W108无线传感器网络嵌入式uCOS-II的移植及实时环境监測</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zk16e9.html">Java常用类之要点总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojl41eq.html">Quartz格式设置说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1o1dxq.html">利用纯CSS美化checkbox和radio和滑动按钮的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj00v38.html">diffMerge安装配置使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwv4jwy8.html">IVideoWindow 在directshow采集链路中的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwv41538.html">ubuntu 16&period;04下源码安装opencv3&period;4</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw1odj9.html">COGS&period;1822&period;&lbrack;AHOI2013&rsqb;作业&lpar;莫队 树状数组&sol;分块&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/902mn73q.html">检查安装的 DirectX 版本</a>
		</li>
						<li><a href="https://www.batexi.com/a/953ndv08.html">ElasticStack系列之七 &amp;amp&semi; IK自动热更新原理与实现</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93y7jzw8.html">在Linux环境如何在不解压情况下搜索多个zip包中匹配的字符串内容</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpk5mvq.html">java  线程 理解 解析</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rg7y3d8.html">java 中的重载与重写     抽象类与接口的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/96pdypn8.html">修改WCF的默认序列化格式</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxky6dj8.html">Openfire3&period;9&period;1&plus;jdk1&period;7导入到eclipse中</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljvwne9.html">PHP对MySQL数据库的相关操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eywrjk9.html">（转）ORACLE中SID和SERVICE&lowbar;NAME的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mekx42q.html">Windows Server 2008 配置IIS&plus;PHP</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pdgyx49.html">java连接数据库</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y7l1r8.html">Linux&lpar;3&rpar;用户和权限管理</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
